Posts
1150
Comments
891
Trackbacks
1
Blend for Visual Studio 2015: Update required, one or more projects require a platform SDK fix

Downloaded some samples involving Windows 10 and all the new Universal Application goodness, but couldn’t open the projects.  They kept saying this sort of thing when I opened a solution.

The way to resolve this is to download the platform SDK, and if it happens not to be the version the project wants, you need to manually edit the project file and adjust these lines:


<TargetPlatformVersion>10.0.10030.0</TargetPlatformVersion>
<TargetPlatformMinVersion>10.0.10030.0</TargetPlatformMinVersion>

Since I’m running a more recent SDK, I changed to this:


<TargetPlatformVersion>10.0.10158.0</TargetPlatformVersion>
<TargetPlatformMinVersion>10.0.10158.0</TargetPlatformMinVersion>

After saving project file, I could reopen just fine.

There were other issues, but that’s a different story.

posted on Wednesday, July 01, 2015 3:28 PM Print
Comments
Gravatar
# re: Blend for Visual Studio 2015: Update required, one or more projects require a platform SDK fix
Nithin
10/8/2015 8:22 AM
I did that, but now I am getting the same error with a different message:

""...require a framework SDK (.NET Core,Version=v5.0) that is either not installed or is included as a future update to Visual Studio. The Download link brings to me this page
http://www.microsoft.com/de-de/dynamics/index.php
With the message: Your current User-Agent string appears to be from an automated process, if this is incorrect, please click this link:United States English Microsoft Homepage

Any help?
Gravatar
# re: Blend for Visual Studio 2015: Update required, one or more projects require a platform SDK fix
jdan
10/8/2015 9:36 AM
Sounds to me like you don't have a platform SDK installed at all. Google it and install it, that might clear that up.

No idea why it goes to dynamics.
Gravatar
# re: Blend for Visual Studio 2015: Update required, one or more projects require a platform SDK fix
Nithin
10/11/2015 1:14 PM
I did download the SDK from dev.windows.com. It's showing me this message after downloading and successfully installing it.

Post Comment

Title *
Name *
Email
Url
Comment *  
Please add 1 and 4 and type the answer here: